Subject: [570] Re: [569] Re: [558] Hiding dot files form Fetch users

From: [email-masked] (Anne Zanotti)
Date: Tue, 25 Oct 1994 09:33:57 +0930

Hi,
Thank you for your suggestions.  

>there are 2 ways
>1. in ~wu-ftpd/src/ftpd.c: the lines with ls_long ls_short 
>   remove the -a flag!
>   for example: 
>   instead of:  strcpy(ls_long,"/bin/ls -lgaA");
>   only :       strcpy(ls_long,"/bin/ls -lgA");

I had already tried this, with no success:
 the .dot files are still visible, but the all of the icons in the Fetch
file list is a document overlaid by a folder.  This is even more
unsatisfactory than just seeing the .dot files.

>2. in ftpacess:
>   You may ann a line like:
>   lsshort /bin/ls -l

I tried this and found that it doesn't make any difference to the
visibility of the .dot files.

Thanks very much to Bill Aten, who sent me a patch for gnu's ls, which
creates an 'ls-a' binary, which disables the -a option to ls.  I renamed
'ls-a' to' ls', and put it in the users' bin directories.  This works
perfectly for Fetch users.  But now the restricted users who use Unix ftp
see the .dot files when they use 'ls', though the files are hidden when
they use 'ls -a'.  This is not a critical problem, though it would be nice
to figure out why it doesn't work the same for both methods of ftp :-)

I have also tried putting the ls-a binary in both the /bin directory and
the users' bin directories (necessary since ftp does a chroot() for these
users), and replacing each occurrence of '/bin/ls' with '/bin/ls-a' in
ftpd.c
for example: 
instead of:  strcpy(ls_long,"/bin/ls-a -lga");
this :       strcpy(ls_long,"/bin/ls-a -lga");
Again, this works for Fetch users but not for Unix ftp users.

I really appreciate you taking the time to help with this,

Thanks, 
Anne

--
Anne Zanotti                    email:  [email-masked]
 Information Center, n.:
        A room staffed by professional computer people whose job it is
        to tell you why you cannot have the information you require.

---

From: Peter Galbavy <[email-masked]>
Date: Tue, 25 Oct 1994 10:28:20 +0000 (GMT)

> visibility of the .dot files.

I have come into this late, but I think what you are seeing is the
behaviour of ls when run by "root". When ls notices itself being
run by a user with UID/EUID of 0, it shows all dot files by default.

I dunno how to work around this in wu-ftpd, but if you canm config
it so that ls is run by "nobody" or whatever instead, it should
all work.

Regards,
-- 
Peter Galbavy					work: [email-masked]
Wonderland					rest: [email-masked]
						play: http://www.wonderland.org/
"The 'net interprets censorship as damage and routes around it." - John Gilmore